Home | Download | Screen shots | Discussion | Documentation
--- | --- | --- | --- | ---

- Main Page
- Namespaces
- Classes
- Files
- Related Pages
- Examples

- Class List
- Class Hierarchy
- Class Members

# openvrml::node_impl_util::event_emitter_base< Node >::event_emitter_equal_to Struct Reference

List of all members.

## Detailed Description

### template<typename Node>
struct openvrml::node_impl_util::event_emitter_base< Node >::event_emitter_equal_to

A model of Adaptable Predicate.

Model of
  Adaptable Predicate

## Public Member Functions

| event_emitter_equal_to (const event_emitter_base< Node > &emitter)
| Construct.
bool | operator() (const typename event_emitter_equal_to::argument_type &arg) const
| Test whether the `event_emitter` dereferenced from `arg.second` is the same one the function object was constructed with.

## Private Attributes

const event_emitter_base< Node > * | emitter_
| The `event_emitter` to test against.

## Constructor & Destructor Documentation

template<typename Node>

openvrml::node_impl_util::event_emitter_base< Node >::event_emitter_equal_to::event_emitter_equal_to | ( | const event_emitter_base< Node > & | emitter | ) | `[inline, explicit]`

Construct.

Parameters:

  `[in]` | emitter | the `event_emitter`.

## Member Function Documentation

template<typename Node>

bool openvrml::node_impl_util::event_emitter_base< Node >::event_emitter_equal_to::operator() | ( | const typename event_emitter_equal_to::argument_type & | arg | ) | const`[inline]`

Test whether the `event_emitter` dereferenced from `arg.second` is the same one the function object was constructed with.

## Member Data Documentation

template<typename Node>

const openvrml::node_impl_util::event_emitter_base< Node > * openvrml::node_impl_util::event_emitter_base< Node >::event_emitter_equal_to::emitter_ `[private]`

The `event_emitter` to test against.